      logical  function xney (x, y)                                     XNEY001
c                                                                       XNEY002
c     implicit none                                                     XNEY003
c     implicit complex (a-z)                                            XNEY004
c                                                                       XNEY005
      real     x, y                                                     XNEY006
c=======================================================================XNEY007
c     This function returns TRUE is its two arguments (X and Y) are not XNEY008
c     "equal", else it returns "FALSE". How "equal" X and Y have to be  XNEY009
c     is determined by the parameter ACURCY, currently set to 0.0001.   XNEY010
c=======================================================================XNEY011
      real       acurcy                                                 XNEY012
      parameter (acurcy = 0.0001)                                       XNEY013
c                                                                       XNEY014
      xney = (abs(x-y) .gt. acurcy)                                     XNEY015
      return                                                            XNEY016
      end                                                               XNEY017
